DEFINES += -DF_CPU=16000000
CFLAGS += -save-temps
CFLAGS += -std=gnu99 -Wall # implements C99, for <util/atomic.h>
# this removes dead code and does global linker optimization
#CFLAGS += -ffunction-sections -Wl,--gc-sections -Wl,--relax 
CFLAGS += -Wall -Os  -I. -mmcu=atmega88

# further optimization:
#CFLAGS += --param inline-call-cost=2 
CFLAGS += -fno-move-loop-invariants  # suggestions from from v-usb
CFLAGS += -fno-tree-scev-cprop  
CFLAGS += -fno-inline-small-functions 

